package com.yihu.jw.entity.iot.copdDevice;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Bing on 2021/4/14.
 * 华米医疗设备信息
 */
@Entity
@Table(name="wlyy_copd_huami_device")
public class WlyyCopdHuamiDeviceDO extends UuidIdentityEntity {
    private String  patient;    //患者code
    private String  deviceSn;  //设备ID 即sn码
    private String  macAddress;    //设备MAC地址
    private String  lastDataSyncTime;    //上次同步数据的时间戳
    private String  deviceType;    //设备类型：BAND、SCALE、SHOE、WATCH
    private String  deviceName;    //设备名称

    @Column(name="patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name="device_sn")
    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    @Column(name="mac_address")
    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    @Column(name="last_data_sync_time")
    public String getLastDataSyncTime() {
        return lastDataSyncTime;
    }

    public void setLastDataSyncTime(String lastDataSyncTime) {
        this.lastDataSyncTime = lastDataSyncTime;
    }

    @Column(name="device_type")
    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    @Column(name="device_name")
    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }
}
